
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>WPF中TreeView.BringIntoView方法的替代方案 / iVAN</title>

    <meta name="description" content="WPF中TreeView.BringIntoView方法的替代方案 WPF中TreeView.BringIntoView()方法并不是那么地好用,不少时候会没有效果,这里有一个替代方案,调用SelectItem()方法可以展开并呈现TreeView上指定的Item: public static class TreeViewHelper { /// &lt;summary&gt; /// Expands all children of a TreeView /// &lt;/summary&gt; /// &lt;param name=&quot;treeView ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">WPF中TreeView.BringIntoView方法的替代方案</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>WPF中TreeView.BringIntoView（）方法并不是那么地好用，不少时候会没有效果，这里有一个替代方案，调用SelectItem（）方法可以展开并呈现TreeView上指定的Item：</p>
<pre>
　public static class TreeViewHelper
　　{
　　　　/// &lt;summary&gt;
　　　　/// Expands all children of a TreeView
　　　　/// &lt;/summary&gt;
　　　　/// &lt;param name="treeView"&gt;The TreeView whose children will be expanded&lt;/param&gt;
　　　　public static void ExpandAll(this TreeView treeView)
　　　　{
　　　　　　ExpandSubContainers(treeView);
　　　　}
　　
　　　　/// &lt;summary&gt;
　　　　/// Expands all children of a TreeView or TreeViewItem
　　　　/// &lt;/summary&gt;
　　　　/// &lt;param name="parentContainer"&gt;The TreeView or TreeViewItem containing the children to expand&lt;/param&gt;
　　　　private static void ExpandSubContainers(ItemsControl parentContainer)
　　　　{
　　　　　　foreach (Object item in parentContainer.Items)
　　　　　　{
　　　　　　　　TreeViewItem currentContainer = parentContainer.ItemContainerGenerator.ContainerFromItem(item) as TreeViewItem;
　　　　　　　　if (currentContainer != null &amp;&amp; currentContainer.Items.Count &gt; 0)
　　　　　　　　{
　　　　　　　　　　//expand the item
　　　　　　　　　　currentContainer.IsExpanded = true;
　　
　　　　　　　　　　//if the item's children are not generated, they must be expanded
　　　　　　　　　　if (currentContainer.ItemContainerGenerator.Status != GeneratorStatus.ContainersGenerated)
　　　　　　　　　　{
　　　　　　　　　　　　//store the event handler in a variable so we can remove it (in the handler itself)
　　　　　　　　　　　　EventHandler eh = null;
　　　　　　　　　　　　eh = new EventHandler(delegate
　　　　　　　　　　　　　　{
　　　　　　　 　　　　　　　　//once the children have been generated, expand those children's children then remove the event handler
　　　　　　　　　　　　　　　　if (currentContainer.ItemContainerGenerator.Status == GeneratorStatus.ContainersGenerated)
　　　　　　　　　　　　　　　　{
　　　　　　　　　　　　　　　　　　ExpandSubContainers(currentContainer);
　　　　　　　　　　　　　　　　　　currentContainer.ItemContainerGenerator.StatusChanged -= eh;
　　　　　　　　　　　　　　　　}
　　　　　　　　　　　　　　});
　　
　　　　　　　　　　　　currentContainer.ItemContainerGenerator.StatusChanged += eh;
　　　　　　　　　　}
　　　　　　　　　　else //otherwise the children have already been generated, so we can now expand those children
　　　　　　　　　　{
　　　 　　　　　　　　ExpandSubContainers(currentContainer);
　　　　　　　　　　}
　　　　　　　　}
　　　　　　}
　　　　}
　　
　　　　/// &lt;summary&gt;
　　　　/// Searches a TreeView for the provided object and selects it if found
　　　　/// &lt;/summary&gt;
　　　　/// &lt;param name="treeView"&gt;The TreeView containing the item&lt;/param&gt;
　　　　/// &lt;param name="item"&gt;The item to search and select&lt;/param&gt;
　　　　public static void SelectItem(this TreeView treeView, object item)
　　　　{
　　　　　　ExpandAndSelectItem(treeView, item);
　　　　}
　　
　　　　/// &lt;summary&gt;
　　　　/// Finds the provided object in an ItemsControl's children and selects it
　　　　/// &lt;/summary&gt;
　　　　/// &lt;param name="parentContainer"&gt;The parent container whose children will be searched for the selected item&lt;/param&gt;
　　　　/// &lt;param name="itemToSelect"&gt;The item to select&lt;/param&gt;
　　　　/// &lt;returns&gt;True if the item is found and selected, false otherwise&lt;/returns&gt;
　　　　private static bool ExpandAndSelectItem(ItemsControl parentContainer, object itemToSelect)
　　　　{
　　　　　　//check all items at the current level
　　　　　　foreach (Object item in parentContainer.Items)
　　　　　　{
　　　　　　　　TreeViewItem currentContainer = parentContainer.ItemContainerGenerator.ContainerFromItem(item) as TreeViewItem;
　　
　　　　　　　　//if the data item matches the item we want to select, set the corresponding
　　　　　　　　//TreeViewItem IsSelected to true
　　　　　　　　if (item == itemToSelect &amp;&amp; currentContainer != null)
　　　　　　　　{
　　　　　　　　　　currentContainer.IsSelected = true;
　　　　　　　　　　currentContainer.BringIntoView();
　　　　　　　　　　currentContainer.Focus();
　　
　　　　　　　　　　//the item was found
　　　　　　　　　　return true;
　　　　　　　　}
　　　　　　}
　　
　　　　　　//if we get to this point, the selected item was not found at the current level, so we must check the children
　　　　　　foreach (Object item in parentContainer.Items)
　　　　　　{
　　　　　　　　TreeViewItem currentContainer = parentContainer.ItemContainerGenerator.ContainerFromItem(item) as TreeViewItem;
　　
　　　　　　　　//if children exist
　　　　　　　　if (currentContainer != null &amp;&amp; currentContainer.Items.Count &gt; 0)
　　　　 　　　{
　　　　　　　　　　//keep track of if the TreeViewItem was expanded or not
　　　　　　　　　　bool wasExpanded = currentContainer.IsExpanded;
　　
　　　　　　　　　　//expand the current TreeViewItem so we can check its child TreeViewItems
　　　　　　　　　　currentContainer.IsExpanded = true;
　　
　　　　　　　　　　//if the TreeViewItem child containers have not been generated, we must listen to
　　　　　　　　　　//the StatusChanged event until they are
　　　　　　　　　　if (currentContainer.ItemContainerGenerator.Status != GeneratorStatus.ContainersGenerated)
　　　　　　　　　　{
　　　　　　　　　　　　//store the event handler in a variable so we can remove it (in the handler itself)
　　　　　　　　　　　　EventHandler eh = null;
　　　　　 　　　　　　eh = new EventHandler(delegate
　　　　　　　　　　　　{
　　　　　　　　　　　　　　if (currentContainer.ItemContainerGenerator.Status == GeneratorStatus.ContainersGenerated)
　　　　　　　　　　　　　　{
　　　　　　　　　　　　　　　　if (ExpandAndSelectItem(currentContainer, itemToSelect) == false)
　　　　　　　　　　　　　　　　{
　　　　　　　　　　　　　　　　　　//The assumption is that code executing in this EventHandler is the result of the parent not
　　　　　　　　　　　　　　　　　　//being expanded since the containers were not generated.
　　　　　　　　　　　　　　　　　　//since the itemToSelect was not found in the children, collapse the parent since it was previously collapsed
　　　　　　　　　　　　　　　　　　currentContainer.IsExpanded = false;
　　　　　　　　　　　　　　　　}
　　
　　　　　　　　　　　　　　　　//remove the StatusChanged event handler since we just handled it (we only needed it once)
　　　　　　　　　　　　 　　　currentContainer.ItemContainerGenerator.StatusChanged -= eh;
　　　　　　　　　　　　　　}
　　　　　　　　　　　　});
　　　　　　　　　　　　currentContainer.ItemContainerGenerator.StatusChanged += eh;
　　　　　　　　　　}
　　　　　　　　　　else //otherwise the containers have been generated, so look for item to select in the children
　　　　　　　　　　{
　　　　　　　　　　　　if (ExpandAndSelectItem(currentContainer, itemToSelect) == false)
　　　　　　　　　　　　{
　　　　　　　　　　　　 　//restore the current TreeViewItem's expanded state
　　　　　　　　　　　　　　currentContainer.IsExpanded = wasExpanded;
　　　　　　　　　　　　}
　　　　　　　　　　　　else //otherwise the node was found and selected, so return true
　　　　　　　 　　　　{
　　　　　　　　　　　　　　return true;
　　　　　　　　　　　　}
　　　　　　　　　　}
　　　　　　　　}
　　　　　　}
　　
　　　　　　//no item was found
　　　　　　return false;
　　　　}
　　}</pre>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索treeview<br />
                    ，                item<br />
                    ，                generated<br />
                    ，                expand<br />
                    ，                children<br />
                    ，                The<br />
                                    expander<br />
                                    wpf treeview、wpf treeview 样式、wpf treeview 绑定、wpf treeview数据绑定、wpf treeview 图标，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-16 00:39:34</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/item/" title="item">item</a>, <a href="https://www.iamivan.net/tag/the/" title="The">The</a>, <a href="https://www.iamivan.net/tag/children/" title="children">children</a>, <a href="https://www.iamivan.net/tag/expand/" title="expand">expand</a>, <a href="https://www.iamivan.net/tag/treeview/" title="treeview">treeview</a>, <a href="https://www.iamivan.net/tag/generated/" title="generated">generated</a>, <a href="https://www.iamivan.net/tag/expander/" title="expander">expander</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>WPF中TreeView.BringIntoView方法的替代方案的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKYBo7p.html" rel="bookmark">WPF中TreeView控件在选中节点后如何获取其父节点，再父节点信息</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 winform中TreeView控件中,在选中某个节点后,可以用e.Node.Parent来获取其父节点信息,再父节点可以用e.Node.Parent.Parent,而在WPF中此方法似乎不行,如,在选中某个节点后TreeViewItemitem=(TreeViewItem)treeCourseInfo.SelectedItem;可以获取该节点的信息if(item.Header.ToString()==&quot;科目信息&quot;,但是不知该如何获取其父节点,再父节点.....信息,各位有谁			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYX6A5b.html" rel="bookmark">关于WPF中treeView不能触发treeViewItem的MouseLeftButtonDown事件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 求助啊..........只有改成MouseLeftButtonUp才能触发.......可是又不满足要求效果不好treeView貌似屏蔽了路由MouseLeftButtonDown事件子节点treeViewItem无法触发MouseLeftButtonDown事件!改成隧道事件PreviewMouseLeftButtonDown倒是可以但是还是不满足要求.....或者用AddHandler(,,true)强制开启..不过却又另e.handel=true无效简单的说就是如何触发Tree			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5A2ZWp.html" rel="bookmark">C&num;中TreeView组件使用方法初步</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				TreeView组件是由多个类来定义的,TreeView组件是由命名空间&quot;System.Windows.Forms&quot;中的&quot;TreeView&quot;类来定义的,而其中的节点(即Node),是由命名空间&quot;System.Windows.Forms&quot;中的&quot;TreeNode&quot;来定义的.所以当在程序中创建一个TreeView对象,其实只是创建了一个可以放置节点的&quot;容器&quot;.而在这个容器中加入一个节点,其实就是加入了从&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1r1d9p.html" rel="bookmark">C＃中TreeView组件使用方法初步</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				TreeView组件是由多个类来定义的,TreeView组件是由命名空间&quot;System.Windows.Forms&quot;中的&quot;TreeView&quot;类来定义的,而其中的节点(即Node),是由命名空间&quot;System.Windows.Forms&quot;中的&quot;TreeNode&quot;来定义的.所以当在程序中创建一个TreeView对象,其实只是创建了一个可以放置节点的&quot;容器&quot;.而在这个容器中加入一个节点,其实就是加入了从&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxEvKjp.html" rel="bookmark">WPF中的ListBox实现按块显示元素的方法&lowbar;C&num;教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了WPF中的ListBox实现按块显示元素的方法.分享给大家供大家参考,具体如下: 注意:需要设置ListBox的属性 ScrollViewer.HorizontalScrollBarVisibility=&quot;Disabled&quot; 关键代码,WPF中有内置的WrapPanel控件,在ListBox.ItemsPanel中使用可以让元素按块显示 &lt;ListBox.ItemsPanel&gt; &lt;ItemsPanelTemplate&gt; &lt;WrapPanel/			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zen6aVb.html" rel="bookmark">WPF中引入WindowsForms控件的方法&lowbar;C&num;教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了WPF中引入WindowsForms控件的方法.分享给大家供大家参考,具体如下: 环境: [1]WindowsXP with SP3 [2]VS2008 with SP1 正文: Step1:在现有工程中引入Windows Forms 鼠标右键[References]-&gt;选择[Add Reference]-&gt;[.NET]标签页 加入[WindowsFormsIntegration]和[System.Windows.Forms]两项 Step2:在XAML文件里加入 [S2-1]加			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQjDlwM.html" rel="bookmark">WPF中使用文件浏览对话框的几种方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:WPF中使用文件浏览对话框的几种方式 WPF本身并没有为我们提供文件浏览的控件, 也不能直接使用Forms中的控件,而文件浏览对话框又是我们最常用的控件之一. 下面是我实现的方式 方式1: 使用win32控件OpenFileDialog ? 1 2 3 4 5 6 7 Microsoft.Win32.OpenFileDialog ofd = new Microsoft.Win32.OpenFileDialog(); ofd.DefaultExt = &quot;.xml&quot;; ofd.Fil			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XpmGdlb.html" rel="bookmark">UI前沿技术-WPF中的多点触控操作事件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				就在过去几年,多点触控还只是科幻电影中表现未来主义的一种重要手法,现在俨然已经成为主流的用户界面技术.多点触控显示屏现在成了新型智能手机和 Tablet 计算机的标准显示屏.此外,它还可能在公共场所的计算机上普及,例如 Microsoft Surface 率先开发的网亭或桌面计算机. 实际存在的唯一不确定因素是多点触控在常规台式计算机上的普及.这种普及的最大障碍或许是长时间在垂直屏幕上移动手指所产生的疲劳(称为&quot;大猩猩手臂&quot;).我个人希望多点触控的强大功能将切实推进桌面显示屏的重新设计			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XpmGw5b.html" rel="bookmark">WPF中如何使用行为示例：Canvas控件拖放行为的演示</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.获取行为的支持,安装Expression Blend 4 SDK(http://www.microsoft.com/zh-cn/download/details.aspx?id=10801) . 2.创建行为库 (1)创建一个Class Project,添加WPF必备的以及WPF中支持行为必备的dll文件. 其中,System.Windows.Interactivity.dll组件在目录(需要安装Blend SDKs):C:\Program Files (x86)\Microsoft SDK			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6k4Np.html" rel="bookmark" class="title">ADO存取数据库如何与HTML结合</a>
					<div>
						ado|数据|数据库 asp如何与HTML代码配合,以显示执行ADO查询数据库资料的结果呢? 关于ASP跟SELECT.CHECKBOX.RADIO的详细结合,请参考:使用动态数据初始化下拉菜单.使用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMR3Vkp.html" rel="bookmark" class="title">常见数据库系统之比较 - Oracle数据库</a>
					<div>
						提起数据库,第一个想到的公司,一般都会是Oracle.该公司成立于1977年,最初是一家专门开发数据库的公司.Oracle在数据库领域一直处于领先地位.1984年,首先将关系数据库转到了桌面计算机上. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1LErb.html" rel="bookmark" class="title">破解Access&lpar;&ast;&period;mdb&rpar;目前所有版本的密码</a>
					<div>
						关于Access97的密码破解,在很多的网站和杂志上都有过介绍.在这里我简单重复一下. 在mdb文件第0x42字节处的13个字节分别与0x86,0xfb,0xec,0x37,0x5d,0x44,0x9 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBakJz.html" rel="bookmark" class="title">分析QQ空间能否做百度关键词排名？</a>
					<div>
						在我们群里有一个朋友问我QQ空间可以参与关键词排名不,而且指数都是快200的关键词;我当时就立即回答,这个应该没有这回事,我相信大家的反应肯定和我差不多;大家都知道百度不收录QQ空间,所以很多人写原创 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AYNmp.html" rel="bookmark" class="title">Word 2013中启用或禁用Office加载项的方法</a>
					<div>
						Office加载项是Office程序为了完成某种功能而需要在启动程序时自动加载的模块,例如书法字帖功能.稿纸功能.制作信封功能等.用户可以根据工作需要启用或禁用Office加载项,以提高Office程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NLEmz.html" rel="bookmark" class="title">解决IdeaPad Y400&amp;amp&semi;amp&semi;Y500在Win8下无线受限问题</a>
					<div>
						  知识点分析: 近期,较多朋友反馈使用Y400/Y500,预装windows 8系统下,连接家用路由器AP,高概率的出现无线受限无法上网的情况,出现问题后需要重新连接WIFI,右下角出现网络叹号图标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVww5Db.html" rel="bookmark" class="title">Photoshop商业人像中性灰修图实例教程</a>
					<div>
						空白图层,填充50%中性灰,图层模式用叠加灰柔光.这样的修图手法能特别强地还原皮肤的质感,令光影更分明,适合商业人像的精修.人像摄影师默香映画用自己一幅精修4小时的作品作为实例,让大家了解这个修图法的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZGD9b.html" rel="bookmark" class="title">查看&sol;删除保存在IE里的网站登录账号信息</a>
					<div>
						  为了访问常用网站时更方便,我们大都在登陆是会选择让浏览器记住该网站的账号和密码的登陆信息.当你想要删除这些信息时,Windows8.1里的Modern UI版IE11也提供非常方便的管理方式.相比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGjmdp.html" rel="bookmark" class="title">doPDF怎么卸载？</a>
					<div>
						  很多电脑用户都有定期卸载不常用的软件的习惯,比如:dopdf,这是一款PDF文档转换器,由于PDF文档比较不常用,因此,dopdf也被电脑用户列为不常用的软件名单中.那么,dopdf怎么卸载?一起 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjRVep.html" rel="bookmark" class="title">t4模板 ef-code first 怎么使用T4模板获得一个文件夹下的类名称</a>
					<div>
						问题描述 code first 怎么使用T4模板获得一个文件夹下的类名称 如何获取一个文件夹下的类名称,本来想用反射把类名称发射出来,但是在T4中命名引用了但一直提示没引用 解决方案 什么叫文件夹下的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAEe6M.html" rel="bookmark" class="title">c语言-C语言网络数据包切片处理</a>
					<div>
						问题描述 C语言网络数据包切片处理 Fragments.pcap是一个用wireshark工具捕捉数据包后的文件,用VC++或Linux的gcc工具实现下面三个任务,该怎么写C语言代码? 1.将IP  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdE0dAz.html" rel="bookmark" class="title">ckfinder怎么用时间来作为上传文件的路径</a>
					<div>
						问题描述 ckfinder怎么用时间来作为上传文件的路径 ckfinder的路径现在就只能在config.xml里配置一个basepath,所有的上传图片都会存在一个文件夹里,这样就导致一个文件夹的文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamyGqb.html" rel="bookmark" class="title">【POJ 1330 Nearest Common Ancestors】LCA问题 Tarjan算法</a>
					<div>
						题目链接:http://poj.org/problem?id=1330 题意:给定一个n个节点的有根树,以及树中的两个节点u,v,求u,v的最近公共祖先. 数据范围:n [2, 10000] 思路:从 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXX44z.html" rel="bookmark" class="title">集采机制下的设备商生存之道：超越底层利润</a>
					<div>
						[通信产业网讯](记者 陈宝亮)我们已经习惯于把集采看做电信业的头等大事,从集采规模中我们可以了解运营商每年的规划.产业的成熟度,根据中标份额产业可以判断出各厂商的实力分布,以及厂商最新的商业模式-- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqR70Zp.html" rel="bookmark" class="title">Java 的发展（历史）轨迹和历史变迁</a>
					<div>
						这篇文章简要的概括了Java的发展历程,请耐心看完以下两端内容,作为Javapapers的一部分,我希望记录并保存这一珍贵的时间线.这些历史信息搜集自网络,并且无法核实.我将尽可能提供准确的信息,如果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7Qk0M.html" rel="bookmark" class="title">手机qq魅力值在哪查看&quest;qq魅力值查看步骤</a>
					<div>
						1.在手机我们再找到手机桌面的QQ,然后在消息动态界面,我们再找到[动态]然后点击打开进入[附近]细节如下图所示. 2.附近列表中的第一个就是自己,点击进入自己的[名片],就能看到[魅力值]啦. 好了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAdgvM.html" rel="bookmark" class="title">python 实现web框架simfish</a>
					<div>
						本文主要记录本人利用python实现web框架simfish的过程.源码github地址:simfish WSGI HTTP Server wsgi模块提供了简单的simple_server, wsg ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Ry4Dz.html" rel="bookmark" class="title">执行批处理bat程序中的条件处理&lowbar;DOS&sol;BAT</a>
					<div>
						以下代码是使用 if /? &gt;&gt; C:\help.txt 生成的. ------------------------------------------------------------ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYW4Lp.html" rel="bookmark" class="title">网络婚介遭遇诚信危机  7651&period;com投下重磅炸弹</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 导语: 近几年来,随着网络婚介竞争 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBW5Oz.html" rel="bookmark" class="title">《数据科学：R语言实现》&mdash;&mdash;3&period;9　排列数据</a>
					<div>
						3.9 排列数据 排列可以让我们在某种顺序下观察数据,以便更有效地分析数据.在数据库中,我们可以使用order by语句对指定的列进行数据排序.在R中,我们使用函数order和sort来对数据排序.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKllop.html" rel="bookmark" class="title">mfc messagebox-MessageBox阻止程序进行</a>
					<div>
						问题描述 MessageBox阻止程序进行 while (nSize &gt; 1) { lRet = m_keyCtrl.CheckSZCAKey(&amp;nSize); // SetTimer( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22PxZb.html" rel="bookmark" class="title">方法-MFC图形画线问题非常非常想不通</a>
					<div>
						问题描述 MFC图形画线问题非常非常想不通 想问一下MFC画橡皮线的时候,因为用的是反色的方法,画第一根橡皮线是没有问题的,但是画第二根橡皮线的时候,如果第二根橡皮线扫过第一根橡皮线,因为反色,也会把 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R6kWz.html" rel="bookmark" class="title">阿里巴巴2017财年收入1582亿元 云计算业务增长</a>
					<div>
						5月18日晚,阿里巴巴公布了2017财年第四季度财报及全年业绩.2017财年全年,阿里巴巴实现收入1582.73亿元,非美国通用会计准则下的净盈利为578.71亿元.阿里巴巴中国零售平台全年商品交易额 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvn1lWM.html" rel="bookmark" class="title">除了alexa 网站运营应该在乎的是什么？</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断淘宝客 站长团购 云主机 技术大厅 alexa排名作为世界范围 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xaLZb.html" rel="bookmark" class="title">光伏发电进村还需迈过两道坎</a>
					<div>
						光伏发电以低碳.节能.环保的优点广受欢迎,得到了社会各界的大力推动.近日,国内装机容量最大的屋顶停车场分布式光伏电站在禅城华艺装饰博览城投入使用,禅城区罗南村还同时启动了&quot;中国家庭光伏示范村 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYN5dep.html" rel="bookmark" class="title">css隐藏滚动条&lpar;横向&comma;坚向&rpar;</a>
					<div>
						一些资料说 &lt;boby&gt;里加入scroll=&quot;no&quot;,可隐藏滚动条: 在&lt;boby&gt;里加入style=&quot;overflow-x:hidden&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZXLNz.html" rel="bookmark" class="title">PHP中单引号与双引号的区别分析&lowbar;php技巧</a>
					<div>
						①转义的字符不同 单引号和双引号中都可以使用转义字符(＼),但只能转义在单引号中引起来的单引号和转义转义符本身.如果用双引号(&quot;&quot;)括起字符串,PHP懂得更多特殊字符串的转义序列. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYjE6b.html" rel="bookmark" class="title">如何快速提高网站的google pr值</a>
					<div>
						一:软文推广,内含网址 我自己写的每篇文章,在文章底部都有留下博客首页的超链接,然后到各个平台发送,再然后被很多网站转载.从而累积了大量的网站外链,很多朋友会觉得写原创文章很困难,可以尝试修改一些当前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QnO6p.html" rel="bookmark" class="title">ie兼容性-网页分页动态加载swf文件</a>
					<div>
						问题描述 网页分页动态加载swf文件 现在从后台查出很多swf格式文件路径,要在网页上分页动态加载他们,要怎么实现?我之前用的是swfobject2.2,但是发现IE对其swfobject.embed ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVd7XDM.html" rel="bookmark" class="title">对于国内很多用户而言，Vimeo还是一个陌生的名字</a>
					<div>
						对于国内很多用户而言,Vimeo还是一个陌生的名字.但在大洋彼岸,Vimeo却拥有不少忠实的粉丝.在美国新闻博客Machinima的一项调查中,Vimeo获得了十大最受读者欢迎视频分享网站第二名,仅次 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
